API reference
Create a billing plan purchase
POST
/v1/billing/current/plan-purchasesAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/billing/current/plan-purchases" \ -H "Content-Type: application/json" \ -d '{ "plan": "none" }'{ "id": "string", "currentPlan": "none", "requestedPlan": "none", "currentPrice": 0.1, "requestedPrice": 0.1, "amountDue": 0.1, "creditAmount": 0.1, "currentBillingInterval": "string", "billingInterval": "string", "currencyCode": "string", "status": "pending", "requiresManualApproval": true, "paymentCheckoutRequired": true, "paymentProvider": null, "paymentCheckoutId": null, "paymentCheckoutUrl": null, "checkout": null, "effectiveOn": null, "appliedOn": null, "createdOn": "2019-08-24T14:15:22Z", "updatedOn": null}